Opened 8 years ago

Closed 8 years ago

#39489 closed defect (duplicate)

arpack: configure: error: Cannot find BLAS libraries

Reported by: watsodw Owned by: mamoll (Mark Moll)
Priority: Normal Milestone:
Component: ports Version: 2.1.3
Keywords: Cc: cooljeanius (Eric Gallager)
Port: arpack

Description

Can't find BLAS libraries during configure, atlas 3.10.5_5 +gcc46 +universal present.

Attachments (1)

main.log (57.8 KB) - added by watsodw 8 years ago.

Download all attachments as: .zip

Change History (6)

Changed 8 years ago by watsodw

Attachment: main.log added

comment:1 Changed 8 years ago by mamoll (Mark Moll)

Are you using +arpack as well? If so, could you narrow down the error condition to the smallest possible number of variants?

comment:2 Changed 8 years ago by cooljeanius (Eric Gallager)

Cc: egall@… added

Cc Me!

comment:3 Changed 8 years ago by ryandesign (Ryan Schmidt)

Cc: mmoll@… removed
Owner: changed from macports-tickets@… to mmoll@…
Summary: upgrade or install of arpack fails during configurearpack: configure: error: Cannot find BLAS libraries

There is no +arpack variant in the arpack port... I think he meant: are you using +atlas or +accelerate? One of the two is probably required; those are the two available BLAS implementations.

comment:4 Changed 8 years ago by dstrubbe (David Strubbe)

You are using +accelerate (the default). If you want to use ATLAS, do +atlas. At any rate, this is a duplicate of the third issue reported at #39476, namely cannot configure with Accelerate on OSX 10.6.

comment:5 Changed 8 years ago by mamoll (Mark Moll)

Resolution: duplicate
Status: newclosed
Note: See TracTickets for help on using tickets.